curl --request GET \
--url https://api.services.payward.com/v1/accounts/{account_id}/funds/methods/lookup \
--header 'API-Key: <api-key>' \
--header 'API-Nonce: <api-key>' \
--header 'API-Sign: <api-key>'import requests
url = "https://api.services.payward.com/v1/accounts/{account_id}/funds/methods/lookup"
headers = {
"API-Key": "<api-key>",
"API-Sign": "<api-key>",
"API-Nonce": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'API-Key': '<api-key>', 'API-Sign': '<api-key>', 'API-Nonce': '<api-key>'}
};
fetch('https://api.services.payward.com/v1/accounts/{account_id}/funds/methods/lookup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "00e4796b-a142-4589-a7c1-8927933788c9",
"direction": "withdrawal",
"asset": {
"symbol": "USDC",
"name": "USD Coin",
"type": "stablecoin"
},
"method": "USDC - Arbitrum One",
"network": {
"id": "0d7efc1a-3787-4a29-9b64-8ca937501a50",
"name": "Arbitrum One",
"explorer": "https://arbiscan.io/tx/{txid}",
"contract_address": "0xaf88d065e77c8cC2239327C5EDb3A432268e5831"
},
"payment_rails": [],
"requirements": []
}
]
}Get funding methods
Returns funding method metadata for the selected account.
Supply either method_ids or network_id.
Authorizations
Your public API key. Identifies the partner making the request.
HMAC signature over the request, computed with your private key.
Monotonically increasing nonce included in the request signature.
Path Parameters
Globally unique public identifier for an account.
14 - 42Query Parameters
Methods to look up. Repeat this parameter for multiple IDs. Duplicates count toward the request limit but are looked up once.
25Network whose methods to look up, potentially spanning multiple assets and directions.
Filters by funding direction. When omitted, includes all directions enabled for your domain. Returns 403 if the requested direction is disabled or no direction is enabled. Whether a funding method receives or sends funds.
deposit, withdrawal Maximum number of results to return. Ignored when page_token is present.
1 <= x <= 25Opaque token returned as next_page_token in the previous response. Omit to request the first page.
1 - 256Response
Funding method metadata resolved for the selected account.
A page of funding method metadata. Repeat the same lookup identifiers and direction when requesting another page.
Metadata for methods matching the lookup. A returned method is not necessarily available for deposits or withdrawals through PWS. Use the account’s deposit-methods or withdrawal-methods discovery endpoint to discover supported methods. Results are refreshed on each request. Results are ordered by method ID. Unknown method IDs are omitted; if nothing matches, data is empty.
Show child attributes
Show child attributes
Opaque token for retrieving the next page. Absent when there are no more results.
1 - 256